Skip to main content

Obtain a widget token for initialization

POST 

/partner/widget/start

Description​

  • It returns a widgetToken property that allows initializing the banca.me widget, and a validUntil property that represents the timestamp when the widget token will expire (milliseconds since epoch).
  • The widgetToken is valid for 50 minutes and cannot be reused after expiration.
  • If you send preApproveId in the request, the transaction will have a duration until the date represented by the validUntil property. You can check the lead state with the endpoint Retrieves loan details by external transaction ID
  • If you DO NOT send preApproveId in the request, the widget will be rendered asking for an idNumber input.
    • Right after the user submits the idNumber, the widgetToken will be refreshed and the transaction will reset its duration. You can then check the lead state with the endpoint Retrieves loan details by external transaction ID
    • If the user abandons the transaction without submitting their idNumber, the validUntil property is useful to finish your open transactions since the previous mentioned endpoint will return a 404 status, because not lead will be created.

Required fields​

  • Without preApproveId: amount, externalTrxId, entityId and email are required.
  • With preApproveId: email is optional (the email of the evaluation is used). amount, externalTrxId and entityId are required, unless a loan request was already created for the pre-approval with Create a loan request; in that case the amount of the loan request is used.

Request​

Responses​

Successful response